Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

software assistant says i need to update firmware with v2.14

Discussion in 'Firmware' started by dissonante, Aug 6, 2013.

  1. dissonante

    Joined:
    Aug 6, 2013
    Messages:
    1
    Likes Received:
    0
    software assistant says i need to update firmware with v2.14 but only v2.16 is available on the website!

    I'm trying to setup software assistant... but after i install the driver and launch the assistant, it says that i need to update firmware to 3.14 with v2.14 of the software assistant and it won't let me do anything until i do that! Problem is that i can only download v2.16!! which says that firmware 3.16 is accessable through that version. So frustrating. Please help

    i currently have main controller version 3.10 . came with my new phantom. the only software assistant available is the 2.16 on the website now. when i run that is says i need software assistant 2.14 to download the firmware update to 3.14 (and then presumably i'd need assistant 2.16 to get the latest firmware??)

    total snafu here. i'm losing my mind
     
  2. edunwody

    Joined:
    Jun 16, 2013
    Messages:
    427
    Likes Received:
    1
    Location:
    South East, USA
    Re: software assistant says i need to update firmware with v

    Try doing it offline.

    Just a thought.


    Sent from my iPhone using Tapatalk
     
  3. edunwody

    Joined:
    Jun 16, 2013
    Messages:
    427
    Likes Received:
    1
    Location:
    South East, USA
    Re: software assistant says i need to update firmware with v

    Never mind. I misread your post


    Sent from my iPhone using Tapatalk
     
  4. MattfromOhio

    Joined:
    Jul 30, 2013
    Messages:
    11
    Likes Received:
    0
    Re: software assistant says i need to update firmware with v

    I am having the same problem, my Firmware is 3.12.
    I keep clicking the No Updates and refresh and it keeps saying No Firmware Updates
    I am at a total loss at what to do.
     
  5. edunwody

    Joined:
    Jun 16, 2013
    Messages:
    427
    Likes Received:
    1
    Location:
    South East, USA
    Re: software assistant says i need to update firmware with v

    No info on what product the FW is really for or a clear way to tell the version of hardware you may have. I would not update.


    Sent from my iPhone using Tapatalk
     
  6. jumanoc

    Joined:
    Jan 21, 2013
    Messages:
    700
    Likes Received:
    8
    Re: software assistant says i need to update firmware with v

    Since Firmware 3.14 had been reported with issues, I'm still in FW 3.12 Flying great and won't upgrade anymore until DJI or my dealer assumes a clear information policy.

    Posting wrong info that could affect forum members is considered "TROLLING" and IMO if any one directs you to do an upgrade and it causes malfunctions or it is false, thats the TROLL essense. (...download new 3.16 FW.... and in Naza Assistant: "no upgrades available"). isn't BS?
     
  7. edunwody

    Joined:
    Jun 16, 2013
    Messages:
    427
    Likes Received:
    1
    Location:
    South East, USA
    Re: software assistant says i need to update firmware with v

    Agree. My dealer fussed at me for upgrading to the last one without contacting him first. Lesson learned.


    Sent from my iPhone using Tapatalk